Subject: Re: bug#13000: 24.2.90; underwave doesn't look as good as other IDEs

From: Leo <[email-masked]>
Date: Wed, 26 Dec 2012 14:31:03 +0800

The problem I am seeing seems to be specific to Mac Port that I am
using. I'll contact its author for more details.

BTW, the code and comment doesn't match. Could someone review and fix
it?

xterm.c around line 2645

/*
   Draw a wavy line under S. The wave fills wave_height pixels from y0.

                    x0         wave_length = 2
                                 --
                y0   *   *   *   *   *
                     |* * * * * * * * *
    wave_height = 3  | *   *   *   *

*/

static void
x_draw_underwave (struct glyph_string *s)
{
  int wave_height = 2, wave_length = 3;